Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.util
Class JAXBResult

    java.lang.Object
      |
      +--javax.xml.transform.sax.SAXResult
            |
            +--javax.xml.bind.util.JAXBResult

All Implemented Interfaces:
  javax.xml.transform.Result

public class JAXBResult
extends javax.xml.transform.sax.SAXResult

JAXP `Result` implementation that unmarshals a JAXB object.

This utility class is useful to combine JAXB with other Java/XML technologies.

The following example shows how to use JAXB to unmarshal a document resulting from an XSLT transformation.

>            JAXBResult result = new JAXBResult(
>              JAXBContext.newInstance("org.acme.foo") );

>            // set up XSLT transformation
>            TransformerFactory tf = TransformerFactory.newInstance();
>            Transformer t = tf.newTransformer(new StreamSource("test.xsl"));

>            // run transformation
>            t.transform(new StreamSource("document.xml"),result);

>            // obtain the unmarshalled content tree
>            Object o = result.getReult();

Author:
  Kohsuke Kawaguchi (kohsuke.kawaguchi@sun.com)

Field Summary

Fields inherited from class javax.xml.transform.sax.SAXResult
`FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`JAXBResult(JAXBContext context)` Creates a new instance that uses the specified JAXBContext to unmarshal.
`JAXBResult(Unmarshaller _unmarshaller)` Creates a new instance that uses the specified Unmarshaler to unmarshal an object.

Method Summary
`java.lang.Object` | `getResult()` Gets the unmarshalled object created by the transformation.

Methods inherited from class javax.xml.transform.sax.SAXResult
`getHandler, getLexicalHandler, getSystemId, setHandler, setLexicalHandler, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXBResult

    public JAXBResult(JAXBContext context)
               throws JAXBException

  Creates a new instance that uses the specified JAXBContext to unmarshal.

Parameters:
  `context` - The JAXBContext that will be used to create the necessary Unmarshaller. This parameter must not be null.
Throws:
  `JAXBException` - if an error is encountered while creating the JAXBResult or if the context parameter is null.

### JAXBResult

    public JAXBResult(Unmarshaller _unmarshaller)
               throws JAXBException

  Creates a new instance that uses the specified Unmarshaler to unmarshal an object.

  This JAXBResult object will use the specified Unmarshaller instance. It is the caller's responsibility not to use the same Unmarshaller for other purposes while it is being used by this object.

  The primary purpose of this method is to allow the client to configure Unmarshaller. Unless you know what you are doing, it's easier and safer to pass a JAXBContext.

Parameters:
  `_unmarshaller` - the unmarshaller. This parameter must not be null.
Throws:
  `JAXBException` - if an error is encountered while creating the JAXBResult or the Unmarshaller parameter is null.

Method Detail

### getResult

    public java.lang.Object getResult()
                               throws JAXBException

  Gets the unmarshalled object created by the transformation.

  Returns:
    Always return a non-null object.
  Throws:
    `java.lang.IllegalStateException` - if this method is called before an object is unmarshalled.
    `JAXBException` - if there is any unmarshalling error. Note that the implementation is allowed to throw SAXException during the parsing when it finds an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.